{
  "name": "vue-element-admin",
  "version": "4.2.1",
  "description": "A magical vue admin. An out-of-box UI solution for enterprise applications. Newest development stack of vue. Lots of awesome features",
  "author": "Pan <panfree23@gmail.com>",
  "license": "MIT",
  "scripts": {
    "dev": "vue-cli-service serve --open --mode development",
    "build": "cross-env NODE_ENV=production vue-cli-service build --mode development",
    "build:prod": "vue-cli-service build",
    "build:stage": "vue-cli-service build --mode staging",
    "build:uat": "vue-cli-service build --mode uat",
    "build:pre": "vue-cli-service build --mode pre",
    "build:pre2": "vue-cli-service build --mode pre2",
    "build:ack": "vue-cli-service build --mode ack",
    "preview": "node build/index.js --preview --mode development",
    "lint": "eslint --fix --ext .js,.vue src",
    "report": "eslint -f html src -o fsmanager-总部端代码走查报告.html",
    "test:unit": "jest --clearCache && vue-cli-service test:unit",
    "test:ci": "npm run lint && npm run test:unit",
    "svgo": "svgo -f src/icons/svg --config=src/icons/svgo.yml",
    "new": "plop"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "keywords": [
    "vue",
    "admin",
    "dashboard",
    "element-ui",
    "boilerplate",
    "admin-template",
    "management-system"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/PanJiaChen/vue-element-admin.git"
  },
  "bugs": {
    "url": "https://github.com/PanJiaChen/vue-element-admin/issues"
  },
  "dependencies": {
    "@fujica/utils": "^1.1.4",
    "@icon-park/vue": "^1.4.2",
    "@jiaminghi/data-view": "^2.10.0",
    "@kangc/v-md-editor": "^1.7.11",
    "ali-oss": "^6.8.0",
    "axios": "0.18.1",
    "clipboard": "2.0.4",
    "codemirror": "5.45.0",
    "currency.js": "^2.0.4",
    "dayjs": "^1.10.5",
    "dingtalk-jsapi": "^2.13.7",
    "driver.js": "0.9.5",
    "dropzone": "5.5.1",
    "echarts": "^5.1.2",
    "echarts-gl": "^2.0.9",
    "el-tree-transfer": "^2.4.7",
    "element-ui": "^2.13.0",
    "file-saver": "2.0.1",
    "fuse.js": "3.4.4",
    "jquery": "^3.5.1",
    "js-cookie": "2.2.0",
    "js-md5": "^0.7.3",
    "jsencrypt": "^3.2.0",
    "jsonlint": "1.6.3",
    "jszip": "3.2.1",
    "moment": "^2.29.4",
    "mqtt": "^3.0.0",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "particles.js": "^2.0.0",
    "path-to-regexp": "2.4.0",
    "postcss-pxtorem": "^5.1.1",
    "qrcode": "^1.5.3",
    "quill": "^1.3.7",
    "screenfull": "4.2.0",
    "scss": "^0.2.4",
    "scss-loader": "0.0.1",
    "showdown": "^1.9.1",
    "sortablejs": "1.8.4",
    "v-distpicker": "^1.2.7",
    "vue": "2.6.10",
    "vue-bus": "^1.2.1",
    "vue-count-to": "1.0.13",
    "vue-dompurify-html": "^2.5.2",
    "vue-jsonp": "^2.0.0",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "3.0.2",
    "vue-seamless-scroll": "^1.1.23",
    "vue-splitpane": "1.0.4",
    "vuedraggable": "^2.20.0",
    "vuex": "3.1.0",
    "webpack-retry-chunk-load-plugin": "^1.5.0",
    "xlsx": "0.14.1"
  },
  "devDependencies": {
    "@babel/core": "7.0.0",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-optional-chaining": "^7.18.6",
    "@babel/register": "7.0.0",
    "@vue/cli-plugin-babel": "3.5.3",
    "@vue/cli-plugin-eslint": "^3.9.1",
    "@vue/cli-plugin-unit-jest": "3.5.3",
    "@vue/cli-service": "3.5.3",
    "@vue/test-utils": "1.0.0-beta.29",
    "autoprefixer": "^9.5.1",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "10.0.1",
    "babel-jest": "23.6.0",
    "babel-plugin-transform-remove-console": "^6.9.4",
    "chalk": "2.4.2",
    "chokidar": "2.1.5",
    "compression-webpack-plugin": "^6.1.1",
    "connect": "3.6.6",
    "cross-env": "^7.0.3",
    "eslint": "5.15.3",
    "eslint-plugin-vue": "5.2.2",
    "html-webpack-plugin": "3.2.0",
    "lint-staged": "8.1.5",
    "node-sass": "^4.14.1",
    "plop": "2.3.0",
    "quill-image-extend-module": "^1.1.2",
    "runjs": "^4.3.2",
    "sass-loader": "^7.3.1",
    "script-ext-html-webpack-plugin": "2.1.3",
    "script-loader": "0.7.2",
    "serve-static": "^1.13.2",
    "svg-sprite-loader": "4.1.3",
    "svgo": "^1.2.0",
    "vue-img-inputer": "^2.1.6",
    "vue-template-compiler": "2.6.10",
    "webpack-bundle-analyzer": "^4.4.2"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ]
}
